mbed TLS v2.16.5

Data Fields
mbedtls_ssl_cookie_ctx Struct Reference

Context for the default cookie functions. More...

`#include <ssl_cookie.h>`

Collaboration diagram for mbedtls_ssl_cookie_ctx:
[legend]

## Data Fields
mbedtls_md_context_t | hmac_ctx
unsigned long | timeout
mbedtls_threading_mutex_t | mutex

## Detailed Description

Context for the default cookie functions.

Definition at line 59 of file ssl_cookie.h.

## Field Documentation

## ◆ hmac_ctx

mbedtls_md_context_t mbedtls_ssl_cookie_ctx::hmac_ctx

context for the HMAC portion

Definition at line 61 of file ssl_cookie.h.

## ◆ mutex

mbedtls_threading_mutex_t mbedtls_ssl_cookie_ctx::mutex

Definition at line 69 of file ssl_cookie.h.

## ◆ timeout

unsigned long mbedtls_ssl_cookie_ctx::timeout

timeout delay, in seconds if HAVE_TIME, or in number of tickets issued

Definition at line 65 of file ssl_cookie.h.

The documentation for this struct was generated from the following file:

- ssl_cookie.h